SuperOffer

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fenalco.entities
Class SuperOffer

    java.lang.Object
      com.fenalco.entities.SuperOffer

    public class SuperOffer

extends java.lang.Object

Representa una superoferta

Author:
  Mario Linares Vásquez

Field Summary
`private java.lang.String` | `description` Descripción de la superoferta
`private java.sql.Date` | `endDate` fecha en la cual termina la superoferta
`private int` | `id` Identificador de la superoferta
`private java.lang.String` | `imageUrl` URL de la imagen de la superoferta (banner)
`private double` | `price` Precio de la superoferta
`private int` | `productId` Identificador del producto que compone la superoferta (producto-proveedor)
`private java.lang.String` | `productName` Nombre del producto que compone la superoferta
`private java.sql.Date` | `startDate` Fecha en la cual se inicia la superoferta
`private int` | `supplierId` Identificador del proveedor que publica la superoferta
`private java.lang.String` | `supplierName` Nombre del proveedor que publica la superoferta

Constructor Summary
`SuperOffer()` Constructor por omisión, crea una superoferta vacia
`SuperOffer(int superOfferId)` Constructor que recibe el id de la superoferta y llama al método loadData para que cargue la información desde loa base de datos

Method Summary
`void` | `calculateValue(int communityId)`
`boolean` | `delete(Transaction transaction)` Elimina la superoferta de la base de datos creando el sql y adicionandolo a la transacción con el método `addSql`
`java.lang.String` | `getDescription()` Getter para el atributo description.
`java.sql.Date` | `getEndDate()` Getter para el atributo endDate.
`int` | `getId()` Getter para el atributo id.
`java.lang.String` | `getImageUrl()` Getter para el atributo imageUrl.
`double` | `getPrice()`
`int` | `getProductId()` Getter para el atributo productId.
`java.lang.String` | `getProductName()` Getter para el atributo productName.
`java.sql.Date` | `getStartDate()` Getter para el atributo startDate.
`int` | `getSupplierId()`
`java.lang.String` | `getSupplierName()`
`boolean` | `loadData(int superOfferId)` Carga los datos de la superoferta de la base de datos a partir del identificador
`boolean` | `saveData(Transaction transaction)` Almacena los datos de la superoferta en la base de datos como un nuevo registro creando el sql y adicionandolo a la transacción con el método `addSql`
`void` | `setDescription(java.lang.String description)` Setter para el atributo description.
`void` | `setEndDate(java.sql.Date endDate)` Setter para el atributo endDate.
`void` | `setId(int id)` Setter para el atributo id.
`void` | `setImageUrl(java.lang.String imageUrl)` Setter para el atributo imageUrl.
`void` | `setProductId(int productId)` Setter para el atributo productId.
`void` | `setProductName(java.lang.String productName)` Setter para el atributo productName.
`void` | `setStartDate(java.sql.Date startDate)` Setter para el atributo startDate.
`void` | `setSupplierId(int supplierId)`
`void` | `setSupplierName(java.lang.String supplierName)`
`boolean` | `submit(int storeId, int communityId, int quantity, int orderOriginId, int device)` Arma un pedido cuyo único producto es la superoferta y lo envia.
`boolean` | `update(Transaction transaction)` Actualiza la información de la superoferta en la base de datos creando el sql y adicionandolo a la transacción con el método `addSql`
`boolean` | `updateProduc(Transaction transaction, int productId)` Este método permite actualizar el producto asignado a una superoferta.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### id

    private int id

  Identificador de la superoferta

### productId

    private int productId

  Identificador del producto que compone la superoferta (producto-proveedor)

### productName

    private java.lang.String productName

  Nombre del producto que compone la superoferta

### startDate

    private java.sql.Date startDate

  Fecha en la cual se inicia la superoferta

### endDate

    private java.sql.Date endDate

  fecha en la cual termina la superoferta

### description

    private java.lang.String description

  Descripción de la superoferta

### imageUrl

    private java.lang.String imageUrl

  URL de la imagen de la superoferta (banner)

### supplierId

    private int supplierId

  Identificador del proveedor que publica la superoferta

### supplierName

    private java.lang.String supplierName

  Nombre del proveedor que publica la superoferta

### price

    private double price

  Precio de la superoferta

Constructor Detail

### SuperOffer

    public SuperOffer()

  Constructor por omisión, crea una superoferta vacia

### SuperOffer

    public SuperOffer(int superOfferId)

  Constructor que recibe el id de la superoferta y llama al método loadData para que cargue la información desde loa base de datos

  Parameters:
    `supperOfferId` - identificador de la superoferta

Method Detail

### loadData

    public boolean loadData(int superOfferId)

  Carga los datos de la superoferta de la base de datos a partir del identificador

  Parameters:
    `superOfferId` - Identificador de la superoferta
  Returns:
    booleano que indica si se pudo cargar la información o no

### saveData

    public boolean saveData(Transaction transaction)

  Almacena los datos de la superoferta en la base de datos como un nuevo registro creando el sql y adicionandolo a la transacción con el método `addSql`

  Parameters:
    `transaction` - la transacción que se está ejecutando
  Returns:
    booleano que indica si se pudo almacenar la información o no

### update

    public boolean update(Transaction transaction)

  Actualiza la información de la superoferta en la base de datos creando el sql y adicionandolo a la transacción con el método `addSql`

  Parameters:
    `transaction` - la transacción que se está ejecutando
  Returns:
    booleano que indica si se pudo actualizar la información o no

### updateProduc

    public boolean updateProduc(Transaction transaction,
                                int productId)

  Este método permite actualizar el producto asignado a una superoferta.

  Parameters:
    `transaction` - Transacción que se esta ejecutando
    `productId` - Identificador del producto
  Returns:
    Valor booleano que indica si la operación tuvo éxito o no

### delete

    public boolean delete(Transaction transaction)

  Elimina la superoferta de la base de datos creando el sql y adicionandolo a la transacción con el método `addSql`

  Parameters:
    `transaction` - la transacción que se está ejecutando
  Returns:
    booleano que indica si se pudo eliminar la superoferta o no

### submit

    public boolean submit(int storeId,
                          int communityId,
                          int quantity,
                          int orderOriginId,
                          int device)

  Arma un pedido cuyo único producto es la superoferta y lo envia.

  Parameters:
    `storeId` - Identificador del establecimiento al cual va dirigido el pedido
    `quantity` - cantidad que se va a comprar
  Returns:
    booleano que indica si se pudo enviar el pedido o no

### getId

    public int getId()

  Getter para el atributo id.

  Returns:
    valor del atributo id.

### setId

    public void setId(int id)

  Setter para el atributo id.

  Parameters:
    `id` - nuevo valor del atributo id.

### getProductId

    public int getProductId()

  Getter para el atributo productId.

  Returns:
    valor del atributo productId.

### setProductId

    public void setProductId(int productId)

  Setter para el atributo productId.

  Parameters:
    `productId` - nuevo valor del atributo productId.

### getProductName

    public java.lang.String getProductName()

  Getter para el atributo productName.

  Returns:
    valor del atributo productName.

### setProductName

    public void setProductName(java.lang.String productName)

  Setter para el atributo productName.

  Parameters:
    `productName` - nuevo valor del atributo productName.

### getStartDate

    public java.sql.Date getStartDate()

  Getter para el atributo startDate.

  Returns:
    valor del atributo startDate.

### setStartDate

    public void setStartDate(java.sql.Date startDate)

  Setter para el atributo startDate.

  Parameters:
    `startDate` - nuevo valor del atributo startDate.

### getEndDate

    public java.sql.Date getEndDate()

  Getter para el atributo endDate.

  Returns:
    valor del atributo endDate.

### setEndDate

    public void setEndDate(java.sql.Date endDate)

  Setter para el atributo endDate.

  Parameters:
    `endDate` - nuevo valor del atributo endDate.

### getDescription

    public java.lang.String getDescription()

  Getter para el atributo description.

  Returns:
    valor del atributo description.

### setDescription

    public void setDescription(java.lang.String description)

  Setter para el atributo description.

  Parameters:
    `description` - nuevo valor del atributo description.

### getImageUrl

    public java.lang.String getImageUrl()

  Getter para el atributo imageUrl.

  Returns:
    valor del atributo imageUrl.

### setImageUrl

    public void setImageUrl(java.lang.String imageUrl)

  Setter para el atributo imageUrl.

  Parameters:
    `imageUrl` - nuevo valor del atributo imageUrl.

### getSupplierId

    public int getSupplierId()

  Returns:
    Returns the supplierId.

### setSupplierId

    public void setSupplierId(int supplierId)

  Parameters:
    `supplerId` - The supplierId to set.

### getSupplierName

    public java.lang.String getSupplierName()

  Returns:
    Returns the supplierName.

### setSupplierName

    public void setSupplierName(java.lang.String supplierName)

  Parameters:
    `supplierName` - The supplierName to set.

### getPrice

    public double getPrice()

### calculateValue

    public void calculateValue(int communityId)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD